hdf5-d 0.0.2

Bindings for the hdf5 IO library.


To use this package, put the following dependency into your project's dependencies section:

dub.json
dub.sdl

hdf5-d

D bindings for the parallel HDF5 library.

License

These bindings are made available under the Boost Software License 1.0. HDF5 is subject to its own license.

Limitations/Known issues

  • This set of bindings is based on hdf5-1.8.13.

  • Similarly to the FORTRAN bindings, it is required to call H5open() manually once before starting to use HDF5. It is recommended to also use H5check_version to check whether the version of these bindings matches the version of the HDF5 library.

  • This is a work in progress tested only in the context of its use in DLBC.

  • Pull requests to improve these bindings are welcomed!

Authors:Stefan Frijters

Dependencies: none

Versions:
0.0.2 2015-Dec-06
0.0.1 2015-Aug-22
~master 2015-Dec-06
Show all 3 versions
Stats:

statistics are temporarily disabled.